Error: ERR::NotNonZero instead of ERR::ZeroRingElem?
Status: In Progress Start date: 12 Feb 2013

Priority: High Due date:  

Assignee:  % Done: 40%

Category: Renaming Estimated time: 2.00 hours

Target version: CoCoALib-0.99880 Spent time: 1.35 hour

Description

I've found the error ERR::NotNonZero.  Should we remove ERR::ZeroRingElem?

(and LogZero, ZeroModulus,..)

Related issues:

Related to CoCoALib - Feature #92: Error Codes In Progress 14 Feb 2012

Related to CoCoALib - Design #427: Error names and error messages (current de... In Progress 28 Jan 2014

History

#1 - 12 Feb 2013 12:37 - John Abbott

- Category set to Renaming

- Status changed from New to In Progress

- Target version set to CoCoALib-0.9953

- % Done changed from 0 to 10

The error ZeroRingElem is used for:

StdDeg, LC, Monic, IsIrred, MaxExponent, wdeg (& CmpWDeg & CmpWDegPartial), LF

At the moment I cannot think of a case where it is important to know that the zero value was a ringelem rather than some other type.  So I currently

am in favour of condensing ZeroRingElem and NotNonZero into a single error.

ChangeLog comments indicate that the error was previously called ZeroPoly.

#2 - 12 Feb 2013 13:04 - John Abbott

All CoCoALib errors which refer to zero are:

BadPwrZero, DivByZero, LogZero, MemPoolZero, NotNonZero, ZeroModulus, ZeroRingElem

JAA does not like the name NotNonZero, but it is very clear (and no better idea comes to mind).

JAA thinks that LogZero should be merged with NotNonZero.

JAA would like to keep BadPwrZero separate.

JAA thinks that DivByZero and ZeroModulus are closely related, but also thinks they should be kept separate from NotNonZero.

MemPoolZero should really be something like NotPositive (block size).

#3 - 12 Feb 2013 17:33 - Anna Maria Bigatti

Should we call it ZeroValue instead of NotNonZero?

And NegativeValue instead of NotNonNegative?
#4 - 29 Oct 2013 13:41 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.9953 to CoCoALib-0.99532

#5 - 01 Apr 2014 17:29 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99532 to CoCoALib-0.99533 Easter14

#6 - 07 Apr 2014 18:20 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#7 - 09 Jul 2014 18:14 - John Abbott

This task is really already covered by the proposed radical restructuring and renaming of the error codes #427.  As a consequence, I suggest closing

this issue.

#8 - 09 Jul 2014 18:25 - Anna Maria Bigatti

- % Done changed from 10 to 40

- Estimated time set to 2.00 h

Well, this is actually a sub-task.

I think we can make a quick decision about the names (we have already talked about it), make the change and actually close it.

Anyway now I prefer ExpectNonZero.

#9 - 09 Jul 2014 18:30 - John Abbott

Here are some other candidate names:

RequireNonZero

ReqNonZero

NeedNonZero

MustBeNonZero

WantNonZero

#10 - 09 Jul 2014 18:37 - Anna Maria Bigatti

WantNonZero or

ExpectNonZero

#11 - 10 Jul 2014 16:01 - John Abbott

Of those two I have a preference for WantNonZero -- I can "say" it more easily in my mind than ExpectNonZero.

Christof expressed a mild preference for ExpectNonZero.

#12 - 10 Jul 2014 17:03 - Anna Maria Bigatti

John Abbott wrote:

Of those two I have a preference for WantNonZero -- I can "say" it more easily in my mind than ExpectNonZero.

Christof expressed a mild preference for ExpectNonZero.

 

WantNotZero is shorter, so let's go for it!
I'll implement it: after all the exams I cannot face anything requiring more attention ;-)

#13 - 17 Jul 2014 14:33 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

#14 - 27 Mar 2024 17:37 - Anna Maria Bigatti

- Priority changed from Normal to High

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99880
